#!/bin/bash


LOCAL=$(pwd)
DST=$( echo ${LOCAL}/../.. )
module purge
module load gcc/5.3.0 openmpi/1.10.2

#  module load intel szip hdf5 netcdf UDUNITS
module load szip/2.1 hdf5/1.8.16 netcdf-fortran/4.4.3 udunits/2.2.20


DIR_UUID=/mnt/lustre/scratch/home/res/cns31/cns31364/t01f/auto-ecearth3/specs2cmor/lib/src/uuid-1.6.2

DIR_UDUNITS=/opt/cesga/udunits/2.2.20/gcc/5.3.0/
DIR_NETCDF=/opt/cesga/netcdf-fortran/4.4.3/gcc/5.3.0/openmpi/1.10.2/
DIR_HDF5=/opt/cesga/hdf5/1.8.16/gcc/5.3.0/openmpi/1.10.2/

export CC=gcc
export CFLAGS='-fpic -O3 -ip -no-prec-div -static'

export CPP='gcc -E'
export CPPFLAGS='-DpgiFortran'
export CXXCPP='icpc -E'

export F77=gfortran
export FC=gfortran
export FFLAGS='-fpic -O3 -ip -no-prec-div -static'

make clean
set -e

./configure --prefix=$DST --with-netcdf=$DIR_NETCDF --with-hdf5=$DIR_HDF5 --with-udunits2=$DIR_UDUNITS --with-uuid=$DIR_UUID

make
make install

date
