#!/bin/bash
#

module purge


module load gcc/5.3.0 openmpi/1.10.2
module load szip/2.1 hdf5/1.8.16 netcdf-fortran/4.4.3 udunits/2.2.20
module load zlib

UUID=

UDUNITS=/opt/cesga/udunits/2.2.20/gcc/5.3.0/
NetCDF=/opt/cesga/netcdf-fortran/4.4.3/gcc/5.3.0/openmpi/1.10.2/
HDF5=/opt/cesga/hdf5/1.8.16/gcc/5.3.0/openmpi/1.10.2/
ZLIB=/opt/cesga/zlib/1.2.8/gcc/5.3.0/

set -xuve
date

DST=../bin; mkdir -p $DST

F90=gfortran

F90FLAGS="-g -traceback -r8 -static -O0 -debug all -check all"

CMOR=../../../lib/

$F90  $F90FLAGS  cmor-oce.F90 -o cmor-oce.exe \
      -L${CMOR}/lib -lcmor \
      -I${CMOR}/include \
      -L${UUID}/lib -luuid \
      -I${UUID}/include \
      -L${UDUNITS}/lib -ludunits2 -lexpat \
      -I${UDUNITS}/include \
      -L${NetCDF}/lib -lnetcdff -lnetcdf \
      -I${NetCDF}/include \
      -L${HDF5}/lib -lhdf5_hl -lhdf5 \
      -I${HDF5}/include \
      -L${ZLIB}/lib -lsz -lz \
      -I${ZLIB}/include

mv cmor-oce.exe $DST/cmor-oce.exe


#      -L${EMOS}/lib -lgribexR64 \
$F90  $F90FLAGS  cmor-atm.F90 -o cmor-atm.exe \
      -L${CMOR}/lib -lcmor \
      -I${CMOR}/include \
      -L${UUID}/lib -luuid \
      -I${UUID}/include \
      -L${UDUNITS}/lib -ludunits2 -lexpat \
      -I${UDUNITS}/include \
      -L${NetCDF}/lib -lnetcdff -lnetcdf \
      -I${NetCDF}/include \
      -L${HDF5}/lib -lhdf5_hl -lhdf5 \
      -I${HDF5}/include \
      -L${ZLIB}/lib -lsz -lz \
      -I${ZLIB}/include

mv cmor-atm.exe $DST/cmor-atm.exe
